export default async function getUserById(id) {
    try {
        const res = await fetch(`http://${import.meta.env.VITE_API_URL}/api/users/${id}`, {
            method: 'GET',
            credentials: 'include',
            headers: {
                'Accept': 'application/json'
            }
        });

        if (!res.ok) {
            if (res.status === 404) {
                return { error: 'not_found' };
            }
            throw new Error(`Erreur serveur : ${res.status}`);
        }

        return await res.json();
    } catch (err) {
        console.error('Erreur :', err);
        return { error: 'server_error' };
    }
}
